Foxit PDF SDK

Public Member Functions | List of all members
FoxitPDFSDKPython3.URIAction Class Reference
Inheritance diagram for FoxitPDFSDKPython3.URIAction:

## Public Member Functions
def | URIAction (action)
| Constructor, with parent class object. More...
def | GetURI ()
| Get the URI string. More...
def | IsTrackPosition ()
| Check whether to track the mouse position when the URI is resolved. More...
def | SetTrackPositionFlag (is_track_position)
| Set the value for tracking position flag. More...
def | SetURI (uri)
| Set the URI string. More...
Public Member Functions inherited from FoxitPDFSDKPython3.Action
def | Action (document, action_dict)
| Constructor, with parameters. More...
def | Action (action)
| Constructor, with another action object. More...
def | GetDict ()
| Get PDF dictionary of current object. More...
def | GetDocument ()
| Get the PDF document, to which current action belongs. More...
def | GetSubAction (index)
| Get a sub-action by index. More...
def | GetSubActionCount ()
| Get the count of sub-actions. More...
def | GetType ()
| Get action type. More...
def | InsertSubAction (index, sub_action)
| Insert a new sub-action to the location specified by index. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...
def | RemoveAllSubActions ()
| Remove all the sub-actions. More...
def | RemoveSubAction (index)
| Remove a sub-action, specified by index. More...
def | SetSubAction (index, sub_action)
| Set a sub-action by index. More...

## Additional Inherited Members
Static Public Member Functions inherited from FoxitPDFSDKPython3.Action
def | Create (document, action_type)
| Create a new action, for specified action type. More...
Static Public Attributes inherited from FoxitPDFSDKPython3.Action
| e_NewWindowFlagFalse = _fsdk.Action_e_NewWindowFlagFalse
| "NewWindow" flag is false.
| e_NewWindowFlagNone = _fsdk.Action_e_NewWindowFlagNone
| No "NewWindow" flag.
| e_NewWindowFlagTrue = _fsdk.Action_e_NewWindowFlagTrue
| "NewWindow" flag is true.
| e_TypeGoto = _fsdk.Action_e_TypeGoto
| Action type: go-to action.
| e_TypeGoTo3DView = _fsdk.Action_e_TypeGoTo3DView
| Action type: go-to-3D-view action.
| e_TypeGoToE = _fsdk.Action_e_TypeGoToE
| Action type: embedded go-to action.
| e_TypeGoToR = _fsdk.Action_e_TypeGoToR
| Action type: remote go-to action.
| e_TypeHide = _fsdk.Action_e_TypeHide
| Action type: hide action.
| e_TypeImportData = _fsdk.Action_e_TypeImportData
| Action type: import-data action.
| e_TypeJavaScript = _fsdk.Action_e_TypeJavaScript
| Action type: JavaScript action.
| e_TypeLaunch = _fsdk.Action_e_TypeLaunch
| Action type: launch action.
| e_TypeMovie = _fsdk.Action_e_TypeMovie
| Action type: movie action.
| e_TypeNamed = _fsdk.Action_e_TypeNamed
| Action type: named action.
| e_TypeRendition = _fsdk.Action_e_TypeRendition
| Action type: rendition action.
| e_TypeResetForm = _fsdk.Action_e_TypeResetForm
| Action type: reset-form action.
| e_TypeSetOCGState = _fsdk.Action_e_TypeSetOCGState
| Action type: set-OCG-state action.
| e_TypeSound = _fsdk.Action_e_TypeSound
| Action type: sound action.
| e_TypeSubmitForm = _fsdk.Action_e_TypeSubmitForm
| Action type: submit-form action.
| e_TypeThread = _fsdk.Action_e_TypeThread
| Action type: thread action.
| e_TypeTrans = _fsdk.Action_e_TypeTrans
| Action type: transition action.
| e_TypeUnknown = _fsdk.Action_e_TypeUnknown
| Action type: unknown action.
| e_TypeURI = _fsdk.Action_e_TypeURI
| Action type: uniform resource identifier (URI) action.

## Detailed Description

URI (uniform resource identifier) action is an action that causes a URI to be resolved. Class FoxitPDFSDKPython3.URIAction is derived from Action and offers functions to get/set URI action data.

See also
  Action

## Constructor & Destructor Documentation

## ◆ URIAction()

def FoxitPDFSDKPython3.URIAction.URIAction | ( |  | action | ) |

Constructor, with parent class object.

Parameters

  [in] | action | Parent class object.

## Member Function Documentation

## ◆ GetURI()

def FoxitPDFSDKPython3.URIAction.GetURI | ( |  | ) |

Get the URI string.

Returns
  URI string.

## ◆ IsTrackPosition()

def FoxitPDFSDKPython3.URIAction.IsTrackPosition | ( |  | ) |

Check whether to track the mouse position when the URI is resolved.

Returns
  true means application should track the mouse position, while false means no need to track the mouse position.

## ◆ SetTrackPositionFlag()

def FoxitPDFSDKPython3.URIAction.SetTrackPositionFlag | ( |  | is_track_position | ) |

Set the value for tracking position flag.

Parameters

  [in] | is_track_position | true means to track position, while false means not to track position.

Returns
  None.

## ◆ SetURI()

def FoxitPDFSDKPython3.URIAction.SetURI | ( |  | uri | ) |

Set the URI string.

Parameters

  [in] | uri | A URI string to be set. It should not be an empty string.

Returns
  None.